Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: martin rudalics <[email-masked]>
Date: Tue, 9 Feb 2021 18:32:40 +0100

> (defun tab-bar--tab-bar-lines-for-frame (frame)
 >    "Determine and return the value of `tab-bar-lines' for FRAME.
 > Return 0 if `tab-bar-mode' is not enabled.  Otherwise return
 > either 1 or 0 depending on the value of the customizable variable
 > `tab-bar-show', which see."

Fine with me.

 > I don't think tab-bar-mode can vary from frame to frame?

I think only the 'tab-bar-lines' parameter can vary.

 > I also did
 > not add the "Call this function" part, because this is an internal
 > helper function that is only used from
 > "tab-bar--update-tab-bar-lines", just below. It just returns 0 or 1
 > and does not modify anything, the actual frame parameter modification
 > happens in the other function.
 >
 > Hope this is satisfactory, if not please feel free to adjust as you wish.

I leave that to Juri.

 > Do I need to do the contribution paperworks for this patch? So far I
 > haven't done that.

I suppose you need to do that.

Thanks, martin